导航
  • 主页
  • API 调用
  • 基础类
  • 控件与界面
  • 数据库相关
  • DataWindow
  • 项目管理
  • Web 应用
  • 脚本语言

来者有分,比较紧急!大侠帮忙看看pb8.0编译问题!我试了很多次还是会出现同样的错误!

llllay 2003-12-09 11:07:20
我用的是Pb8.0
现在要编译,可是在中间,总是会出现如下错误:

pb8.0.exe产生错误,会被windows关闭,您需要重新启动程序
正在创建错误日志!

然后我就没法继续编译下去了!
怎么办呀!今天,就要交了.............

帮忙呀!
...全文
10 点赞 收藏 20
写回复
20 条回复
切换为时间正序
请发表友善的回复…
发表回复
feixianzhi 2003-12-09
是你的程序有某处是错的,在保存或编译运行时都会提示这样的信息。
重新启动pb先找错误再编译!或看一下日志信息,这样有助于解决问题
回复
klbt 2003-12-09
1、升级到8.03
2、用另一种模式编译(pdb或dll)
回复
CodeMagic 2003-12-09
要么是程序的错误,要么是系统的原因。

对于第一种情况,你可以在生成可执行文件之前,对这个WorkSpace进行FullBuild,看是否有错误?

对于第二种情况,你可以尝试换一个装有PB8的机器试试。
回复
GoldProgramer 2003-12-09
先Fill Builder,
没有错误后再试试编译。
回复
jf_xs 2003-12-09
你系统里是不是还装有其它版本的PB呀?



或者也可能是某个字段的错误


这两种情况我都遇到过,你试试看
回复
liyud123 2003-12-09
可能是你用了API函数,而这个API函数的参数的数据类型与当前的PB版本或操作系统不同,试试改一下说明API的模板,看看有没有错误提示出现。
回复
llllay 2003-12-09
我运行时可是一点错误也没有!

回复
braversmmu 2003-12-09
只能重装了:)
回复
TGWall 2003-12-09
若你装有多个操作系统,换到另一个操作系统编译,或者换一台机编译 ,否则重装
回复
dotnba 2003-12-09
重新启动机器
重新安装PB
:)

回复
lmby 2003-12-09
呵呵,程序中有隐藏的错误,慢慢找。
回复
shuishuangyu 2003-12-09
你可以重装,放在原来的地方

这样你原来做的东西还可以再用
回复
webwolf911 2003-12-09
我看按照上述各位的爱着试吧!!一点点排除!
回复
GoldProgramer 2003-12-09
试试CodeMagic(写错了吧)和 klbt(快乐白兔)的方法。
回复
mittee 2003-12-09
程序有内存漏洞,或者是一些对象的问题
回复
tongcheng 2003-12-09
出现这种错误
可能是你引用了API函数出了问题

回复
11407 2003-12-09
程序中一定有错误,重装也不行,好好查吧
回复
andyyang007 2003-12-09
up
回复
bomber2001 2003-12-09
考虑动态链接库
回复
workhand 2003-12-09
我用6.5,也遇到过这种问题,同事告诉我换个用户登陆再编译就好了,要不你也试试
回复
发动态
发帖子
PowerBuilder
创建于2007-09-28

806

社区成员

PowerBuilder 相关问题讨论
申请成为版主
社区公告
暂无公告